<?php

use yii\db\Migration;

/**
 * Handles the creation of table `price`.
 */
class m180524_152319_create_price_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('price', [
            'id' => $this->primaryKey(),
            'service_id' => $this->integer(),
            'price' => $this->integer(),
            'status' => $this->boolean(),
            'sort'   => $this->integer()
        ]);
        
        $this->addForeignKey('price_service_fk',
                            'price',
                            'service_id',
                            'service',
                            'id',
                            'SET NULL',
                            'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('price_service_fk', 'price');
        $this->dropTable('price');
    }
}
